EDIT - feature request #7718

New Registration: Exclude irrelevant reference types from list of existing publications
09/04/2018 10:38 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Problem 1

In einem WorkingSet (Buch) sind Dutzende Arten neu beschieben. Die Buchreferenz sollte ein mal vorhanden sein und das
Section-Autorenteam "Kulikovskiy & Lange Bertalot". Anscheinend wird bei jeder Auswahl des vorhandenen Section-Autorenteams
eine neue Zeile in die Auswahlliste geschrieben was sehr uniibersichtlich wird.

Problem 2 ist ein einfaches Datenproblem.

Besonders bei Altdaten Uberarbeite ich die Referenzen teils mehrfach, auch in unserem Projekt habe ich angefangen

Autoren in Iconogr. Diatol. Nummer einzugeben, obwohl es die Section-Autoren in einem Buch sind, das Teil einer PrintSeries mit
ISBN ist. Bei Umstellung auf die vollsténdig bibliographisch korrekte Zitierung entsteht viel Datenschrott ("D"), der in der Auswahlliste
bleibt. Probem 2 ist eher inhaltlich durch Datacleaning zu l16sen?
Associated revisions

Revision 39acd47c - 12/11/2018 12:03 PM - Andreas Kohlbecker

fix #7718 excluding irrelavant reference types from combobox in new registration view

History

#1 - 12/11/2018 11:54 AM - Andreas Kohlbecker
- Tracker changed from bug to feature request

- Subject changed from Vaadin Drop Down List from existing publications to New Registration: Exclude irrelevant reference types from list of existing
publications

- Target version changed from Unassigned CDM tickets to Release 5.5

The reference types Section, PrintSeries and Journal should be excluded from the options.

#2 - 12/11/2018 12:03 PM - Andreas Kohlbecker

- Status changed from New to Resolved
- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|39acd47c396d32b10bdd3791ecal0e75104e8fd2.

#3 - 12/11/2018 12:04 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

completed, please review

#4 - 12/20/2018 02:13 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

The reference types Section, PrintSeries and Journal have been excluded from the options. Ticket can be closed.

#5 - 12/20/2018 02:29 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
